module Eancom
  module Edifact
    class DOC < Segment
      TAG = 'DOC'.freeze
      TYPE = :header

      attr_reader :segment_type

      def initialize(
        tag: nil,
        document_name_code:
      )
        @tag = tag
        @document_name_code = document_name_code

        super(tag: tag || TAG)
      end

      def to_json_hash
        {
          document_name_code: @document_name_code
        }
      end

      def segment_type
        TYPE
      end
    end
  end
end
