module Eancom
  module Edifact
    class EQD < Segment
      TAG = 'EQD'.freeze
      TYPE = :header

      attr_reader :segment_type

      def initialize(
        tag: nil,
        equipment_code_qualifier: nil
      )

        @tag = tag
        @equipment_code_qualifier = equipment_code_qualifier

        super(tag: tag || TAG)
      end

      def to_json_hash
        hash = {}
        hash.merge!(equipment_code_qualifier: find_identifier(:equipment_code_qualifier)) if @equipment_code_qualifier
      end

      def segment_type
        TYPE
      end
    end
  end
end
