module Eancom
  module Edifact
    class UNS < Segment
      TAG = 'UNS'.freeze
      TYPE = :header.freeze

      def initialize(
        tag: nil,
        section_identification:
      )
        @tag = tag
        @section_identification = section_identification

        super(tag: tag || TAG)
      end

      '''
      Why is line 22 commented?
      '''
      def to_json_hash
        hash = {}
        # hash.merge!(section_identification: find_identifier(:section_identification)) if @section_identification
        hash
      end

      def segment_type
        TYPE
      end

    end
  end
end
