module Eancom
  module Edifact
    class UNZ < Segment
      TAG = 'UNZ'.freeze
      TYPE = :footer.freeze

      def initialize(
        tag: nil,
        interchange_control_count:,
        interchange_control_reference:
      )
        @tag = tag
        @interchange_control_count = interchange_control_count
        @interchange_control_reference = interchange_control_reference
        super(tag: tag || TAG)
      end

      def to_json_hash
        {}
      end

      def segment_type
        TYPE
      end

    end
  end
end
