tag = 'DGS'
Eancom.register_segment(tag: tag, klass: Eancom::Edifact::DGS)

structure = Eancom::Edifact::Structure.new(tag: tag)
#==============================================================================
# Tag                                                                         #
#==============================================================================
tag = Eancom::Edifact::Composite.new()
data = Eancom::Edifact::Data.new(
  type: String,
  length: 3,
  dictionary: nil,
  description: "Message Header",
  required: true
)
tag.add(:tag, data)

structure << tag
#==============================================================================
# HAZARD CODE                                                                    #
#==============================================================================
hazard_identification_code = Eancom::Edifact::Composite.new()
data = Eancom::Edifact::Data.new(
    type: String,
    length: 1..7,
    dictionary: nil,
    description: 'Hazard identification code',
    required: true
)
hazard_identification_code.add(:hazard_identification_code, data)

structure << hazard_identification_code
#==============================================================================
Eancom.register_structure(tag: 'DGS', structure: structure)