tag = 'TRU'
Eancom.register_segment(tag: tag, klass: Eancom::Edifact::TRU)

structure = Eancom::Edifact::Structure.new(tag: tag)
#==============================================================================
# Tag                                                                         #
#==============================================================================
tag = Eancom::Edifact::Composite.new
data = Eancom::Edifact::Data.new(
  type: String,
  length: 3,
  dictionary: nil,
  description: 'Message Header',
  required: true
)
tag.add(:tag, data)

structure << tag
#==============================================================================
# Object identifier
#==============================================================================
object_identifier = Eancom::Edifact::Composite.new
data = Eancom::Edifact::Data.new(
  type: String,
  length: 1..35,
  dictionary: nil,
  description: 'Object identifier',
  required: true
)
object_identifier.add(:object_identifier, data)

structure << object_identifier
#==============================================================================
Eancom.register_structure(tag: 'TRU', structure: structure)
