module Eancom
  module Edifact

    class DocumentElement

      attr_accessor :segments

      def initialize
        @segments = []
      end

      def segment(segment)
        segments << segment
      end

      def to_s(debug: false)
        stream = ""
        segments.each do |segment|
          stream << segment.to_edi
          stream << "\n" if debug
        end
        stream
      end
    end
  end
end
