module Eancom
  module Edifact
    class AJT < Segment
      TAG = 'AJT'.freeze
      TYPE = :body.freeze

      attr_reader :segment_type

      def initialize(
        tag: nil,
        adjustment_reason_description:
      )
        @tag = tag
        @adjustment_reason_description = adjustment_reason_description

        super(tag: tag || TAG)
      end

      def to_json_hash
        hash = {}
        if @adjustment_reason_description
          hash.merge!(adjustment_reason_description: find_identifier(:adjustment_reason_description))
        end
        hash
      end

      def segment_type
        TYPE
      end
    end
  end
end
