module Eancom
  module Edifact
    class TRU < Segment
      TAG = 'TRU'.freeze
      TYPE = :body

      attr_reader :segment_type

      def initialize(
        tag: nil,
        object_identifier:
      )

        @tag = tag
        @object_identifier = object_identifier

        super(tag: tag || TAG)
      end

      def to_json_hash
        hash = {}
        hash.merge!(object_identifier: @object_identifier)
        hash
      end

      def segment_type
        TYPE
      end
    end
  end
end
