module Eancom
  module Edifact
    class UNT < Segment
      TAG = 'UNT'.freeze
      TYPE = :footer.freeze

      def initialize(
        tag: nil,
        number_of_segments_in_message:,
        message_reference_number:
      )
        @tag = tag
        @number_of_segments_in_message = number_of_segments_in_message
        @message_reference_number = message_reference_number
        super(tag: tag || TAG)
      end

      def to_json_hash
        {}
      end

      def segment_type
        TYPE
      end

    end
  end
end
